using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
    public interface IProductLogic
    {
        bool Create(ProductBindingModel model);
        bool Update(ProductBindingModel model);
        bool Delete(ProductBindingModel model);
        List<ProductViewModel>? ReadList(ProductSearchModel? model);
        ProductViewModel? ReadElement(ProductSearchModel model);
    }
}
